Bug 813678 - [FCoE Target] Please disable debug logging of "tcm_fc" "ft_dump_cmd 2700002a 00009aba 000000bc 00000000"
[FCoE Target] Please disable debug logging of "tcm_fc" "ft_dump_cmd 2700002a ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
All Linux
medium Severity high
: rc
: ---
Assigned To: Neil Horman
Gris Ge
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 04:20 EDT by Gris Ge
Modified: 2012-06-22 03:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.32-269.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:47:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gris Ge 2012-04-18 04:20:01 EDT
Description of problem:

Once FCoE target got client/initiator conencted, the console will flooded with
===
ft_dump_cmd 2700002a 00009aba 000000bc 00000000
===

Quick guess, these debug log is from "tcm_fc" kernel module.

Please disabled it or use debugfs

Version-Release number of selected component (if applicable):
kernel -265

How reproducible:
100%

Steps to Reproduce:
1. Setup FCoE target:
===
yum install -y fcoe-taget-utils
service fcoe-target start
dd if=/dev/zero of=/tmp/fcoe-lun1 count=0 seek=10240 bs=1M
targetcli
/backstores/fileio create disk1 /tmp/fcoe-lun1 10240M
/tcm_fc/ create 20:00:00:1b:21:59:12:37
/tcm_fc/ create 20:00:00:1b:21:59:12:36
/tcm_fc/20:00:00:1b:21:59:12:37/luns/ create /backstores/fileio/disk1
/tcm_fc/20:00:00:1b:21:59:12:37/acls/ create 10:00:00:05:1e:8f:fa:da
/tcm_fc/20:00:00:1b:21:59:12:37/acls/ create 10:00:00:05:1e:8f:fa:db
/tcm_fc/20:00:00:1b:21:59:12:36/luns/ create /backstores/fileio/disk1
/tcm_fc/20:00:00:1b:21:59:12:36/acls/ create 10:00:00:05:1e:8f:fa:da
/tcm_fc/20:00:00:1b:21:59:12:36/acls/ create 10:00:00:05:1e:8f:fa:db
===
2. Connect FCoE initiator to this target.
3.
  
Actual results:
FCoE target Linux console flooded with "ft_dump_cmd 2700002a 00009aba 000000bc 00000000"

Expected results:
No debug output.

Additional info:
As fcoe target will get fully support in RHEL 6.3, requesting blocker for this bug.
Comment 3 Neil Horman 2012-04-23 16:24:29 EDT
ft_dump_cmd only uses pr_debug to dump commands out.  Do you have dynamic debug enabled for this module, or do you have your console set to output debug level and high messages?
Comment 4 Gris Ge 2012-04-23 22:46:51 EDT
Neil,

I use the default configuration of kernel and console for RHEL 6.3.

If you need a setuped server for investigation, let me know.

Thanks.
Comment 5 Neil Horman 2012-04-24 06:53:11 EDT
You shouldn't be getting these messages unless you've enabled dynamic debug or upped the console log level.

Yes, please setup the reproducer and send me the login info so that I can poke about with it.
Comment 6 Gris Ge 2012-04-24 22:02:19 EDT
Loaned two servers to you in beaker and they are well setuped, just take it and power it up.

* storageqe-13
   FCoE target.
   Intel ixgbe soft FCoE card.
   Please use the command in comment #0 to setup FCoE target.
   (I cannot save config)

* storageqe-14
   FCoE initiator.
   Brodcade bfa FCoE HBA. No software need. Just bfa kernel module.
   Please execute these commands to rediscovery FCoE:
====
      multipath -F
      modprobe -r bfa
      modprobe bfa
      sleep 30
====
Comment 7 Neil Horman 2012-04-25 16:24:51 EDT
thank you, I'll look at this in the morning.
Comment 8 Neil Horman 2012-04-26 12:56:49 EDT
ah, ok I see the problem, we need to backport (at least a few chunks of) 6708bb27bb2703da238f21f516034263348af5be.  I'll have a build for test shortly
Comment 9 Neil Horman 2012-04-27 10:10:21 EDT
sorry, that commit should have been 35b2cdc4fea1f0d13e1602c07e62c797c9fe5ed4
Comment 10 RHEL Product and Program Management 2012-04-27 10:30:05 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 11 Jarod Wilson 2012-05-02 12:21:37 EDT
Patch(es) available on kernel-2.6.32-269.el6
Comment 14 Gris Ge 2012-05-22 02:06:16 EDT
no debug console log found on kernel -272.

VERIFY.
Comment 16 errata-xmlrpc 2012-06-20 04:47:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.